<template>
	<section class="card">
		<div class="front">
			<div class="name">{{ room.name }}</div>
			<div class="btn-play" @click="openPopupPanorama">Prezrieť si učebňu</div>
		</div>
	</section>
</template>

<script>
import { inject, reactive, toRefs } from 'vue'

export default {
	props: {
		room: Object,
	},
	setup(props) {
		const state = reactive({
			vue: inject('vue'),
		})

		const openPopupPanorama = () => {
			state.vue.$store.commit('panoramaRoom', props.room)
			state.vue.$store.commit('openPopupPanorama', true)
		}

		return {
			...toRefs(state),
			openPopupPanorama,
		}
	},
}
</script>

<style lang="scss" scoped>
@import '@/assets/scss/vars.scss';

.card {
	background: $color01;
	color: $color04;
	padding: 1rem;
	height: 10rem;
	display: grid;
	align-content: center;
	position: relative;
	overflow: hidden;
	transition: 0.75s;

	&:hover {
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
	}

	&:nth-child(even) {
		background: $color02;
		color: $color03;

		.front {
			.btn-play {
				border: 2px solid $color03;

				&:hover {
					background: $color03;
					color: $color02;
				}
			}
		}
	}

	.front {
		position: relative;
		z-index: 2;
		display: grid;
		justify-content: center;
		justify-items: center;
		grid-gap: 1.2rem;

		.name {
			text-align: center;
			font-weight: 700;
			font-size: 1.2rem;
		}
		.btn-play {
			text-align: center;
			font-size: 0.75rem;
			border: 2px solid $color04;
			padding: 0.5rem 1rem;
			transition: 0.75s;
			border-radius: 1rem;

			&:hover {
				background: $color04;
				color: $color01;
				cursor: pointer;
				box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
			}
		}
	}
}
</style>
